## TeplStyleSchemeChooserSimple TeplStyleSchemeChooserSimple — A simple GtkSourceStyleScheme chooser widget |

## Functions

TeplStyleSchemeChooserSimple * | tepl_style_scheme_chooser_simple_new ()
const gchar * | tepl_style_scheme_chooser_simple_get_style_scheme_id ()
void | tepl_style_scheme_chooser_simple_set_style_scheme_id ()

## Properties

char * | style-scheme-id | Read / Write

## Types and Values

struct | TeplStyleSchemeChooserSimple

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── TeplStyleSchemeChooserSimple

## Implemented Interfaces

TeplStyleSchemeChooserSimple implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplStyleSchemeChooserSimple is a widget that permits to choose a GtkSourceStyleScheme.

It shows a list with the name and description of each GtkSourceStyleScheme, taken from the default GtkSourceStyleSchemeManager.

It is either for a light GTK theme, or a dark GTK theme, but not both. If you need both, consider using TeplStyleSchemeChooserFull or create two instances of TeplStyleSchemeChooserSimple.

TeplStyleSchemeChooserSimple contains a GtkScrolledWindow internally. When the “map” signal is emitted, it scrolls to the selected row (useful when the list is long).

## Functions

### tepl_style_scheme_chooser_simple_new ()

    TeplStyleSchemeChooserSimple *
    tepl_style_scheme_chooser_simple_new (gboolean for_dark_theme_variant);

Creates a new TeplStyleSchemeChooserSimple widget.

The content of the widget will be different depending on `for_dark_theme_variant` . That configuration cannot change once the widget is created. If your application supports both the light and dark GTK theme variants, consider using TeplStyleSchemeChooserFull instead.

#### Parameters

for_dark_theme_variant | whether it's for choosing a style scheme for a dark GTK theme variant. |

#### Returns

a new TeplStyleSchemeChooserSimple widget.

[transfer floating]

Since: 6.11

### tepl_style_scheme_chooser_simple_get_style_scheme_id ()

    const gchar *
    tepl_style_scheme_chooser_simple_get_style_scheme_id
                                   (TeplStyleSchemeChooserSimple *chooser);

#### Parameters

chooser | a TeplStyleSchemeChooserSimple. |

#### Returns

the value of the “style-scheme-id” property.

[nullable]

Since: 6.11

### tepl_style_scheme_chooser_simple_set_style_scheme_id ()

    void
    tepl_style_scheme_chooser_simple_set_style_scheme_id
                                   (TeplStyleSchemeChooserSimple *chooser,
                                    const gchar *style_scheme_id);

Sets the “style-scheme-id” property.

#### Parameters

chooser | a TeplStyleSchemeChooserSimple. |
style_scheme_id | the new value. |

Since: 6.11

## Types and Values

### struct TeplStyleSchemeChooserSimple

    struct TeplStyleSchemeChooserSimple;

## Property Details

### The `“style-scheme-id”` property

      “style-scheme-id”          char *

The selected GtkSourceStyleScheme ID.

Its value changes when the user selects another row in the list.

When set, if the ID doesn't exist, no row is selected.

Owner: TeplStyleSchemeChooserSimple

Flags: Read / Write

Default value: NULL

Since: 6.11